export declare class UserSession {
    userId: string;
    userName: string;
    userRoles: string[];
    authToken: string | null;
    userDetails: object | null;
    constructor(userId?: string, userName?: string, userRoles?: string[], authToken?: string | null, userDetails?: object | null);
    hasRole(role: string): boolean;
    isConnected(): boolean;
    sumUp(): string;
    get userRolesAsString(): string;
    set userRolesAsString(userRolesAsString: string);
}
