import { BehaviorSubject } from 'rxjs';
import { UserSession } from '../data/user-session';
import * as i0 from "@angular/core";
declare class GenericUserSessionService {
    storeSessionKeyValue(key: string, value: unknown): void;
    retreiveSessionValue(key: string, defaultValue: any): any;
}
export declare class UserSessionService extends GenericUserSessionService {
    private _bsUserSession$;
    get bsUserSession$(): BehaviorSubject<UserSession>;
    setUserSession(userSession: UserSession): void;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<UserSessionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UserSessionService>;
}
export {};
